import 'package:flutter/material.dart';

class Overview extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: const Text('Mobile Event Log')),
      body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceEvenly,
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              const SizedBox(height: 10),
              Expanded(
                child: ElevatedButton(
                  child: const Text('Add Event', style: TextStyle(fontSize: 22)),
                  onPressed: () {
                    Navigator.pushNamed(context, '/second');
                  },
                ),
              ),
              const SizedBox(height: 10),
              Expanded(
                child: ElevatedButton(
                  child: const Text('View and Sync', style: TextStyle(fontSize: 22)),
                  onPressed: () {
                    Navigator.pushNamed(context, '/third');
                  },
                ),
              ),
              const SizedBox(height: 10),
              Expanded(
                child: ElevatedButton(
                  child: const Text('Configuration', style: TextStyle(fontSize: 22)),
                  onPressed: () {
                    Navigator.pushNamed(context, '/forth');
                  },
                ),
              ),
              const SizedBox(height: 10),
            ],
          )),
    );
  }
}